Subject: bug#36171: 25.1; Emacs displays Hebrew text incorrectly

From: Robert Pluim <[email-masked]>
Date: Thu, 13 Jun 2019 18:07:06 +0200

>>>>> On Thu, 13 Jun 2019 16:14:00 +0300, Eli Zaretskii <[email-masked]> said:

    >> Cc: [email-masked]
    >> From: Raoul Comninos <[email-masked]>
    >> Date: Thu, 13 Jun 2019 14:54:19 +0200
    >> 
    >> I am very pleased we are making progress. If we can get this right, it 
    >> is going to save me having to retype all the Hebrew! The text certainly 
    >> looks much better but the problem is not as yet fully resolved. There 
    >> remain circles in the text (see attachment).

    Eli> I don't see any such circles on my system.  I tried half a dozen
    Eli> different fonts, and they all work correctly.  How many fonts did you
    Eli> try?

I see circles on my GNU/Linux box, but only when using the xft font
backend, eg the second character from the left (visually) on the
'Aoristic perfect' line. If I put

(add-to-list 'default-frame-alist '(font-backend xfthb))

in my .emacs, then everything displays correctly. I thought HarfBuzz
was supposed to be preferred to xft?

Robert